curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{vpc_id}/ip-allocations/allocate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ip_address": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_name": "<string>",
"ip_address": "<string>",
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_name": "<string>",
"status": "reserved",
"allocation_type": "gateway",
"interface_index": 123,
"allocated_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
}curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{vpc_id}/ip-allocations/allocate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ip_address": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_name": "<string>",
"ip_address": "<string>",
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_name": "<string>",
"status": "reserved",
"allocation_type": "gateway",
"interface_index": 123,
"allocated_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
reserved - Reservedallocated - Allocatedreleased - Releasedreserved, allocated, released gateway - Gatewayinstance - Instancegateway, instance Network interface index (1=net1, 2=net2, etc.)